Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv3.builders
Interface RequestObjectBuilder

All Known Implementing Classes:
  RequestObjectBuilderImpl

    public interface RequestObjectBuilder

Provides method(s) to create an eAttest WS request. Default impl : `ResponseObjectBuilderHelper` Factory : `RequestObjectBuilderFactory`

Method Summary
`CancelAttestationRequest` | `buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)` Create the CancelAttestationRequest that will be sent to the EHealth Web service
`EncryptedRequestHolder<SendAttestationRequest>` | `buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)` Creates the SendAttestationRequest that will be sent to the EHealth Web service

Method Detail

### buildSendAttestationRequest

    EncryptedRequestHolder<SendAttestationRequest> buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)
                                                                               throws TechnicalConnectorException

  Creates the SendAttestationRequest that will be sent to the EHealth Web service

  Parameters:
    `sendAttestationRequestInput` - the object that holds the request input parameters
  Returns:
    a wrapper containing the valid request that will be sent to the WS and the businessContent before encryption
  Throws:
    `TechnicalConnectorException`

### buildCancelAttestationRequest

    CancelAttestationRequest buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)
                                                           throws TechnicalConnectorException

  Create the CancelAttestationRequest that will be sent to the EHealth Web service

  Parameters:
    `cancelAttestationRequestInput` - the object that holds the request input parameters
  Returns:
    a wrapper containing the valid request that will be sent to the WS
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.